<?php

if ( !defined('MODULE_FILE') )
{
	die("You can't access this file directly...");
}
    
global $db, $prefix, $phpbb_root_path, $nuke_root_path, $nuke_file_path, $phpbb_root_dir, $module_name, $name, $file;
$module_name = "Forums";
$nuke_root_path = "modules.php?name=".$module_name;
$nuke_file_path = "modules.php?name=".$module_name."&file=";
$phpbb_root_path = "modules/".$module_name."/";
$phpbb_root_dir = "./../";
require_once("mainfile.php");
get_lang($module_name);
if(isset($f)) { 
$f = intval($f); 
$sql="SELECT forum_name  FROM ".$prefix."_bbforums WHERE forum_id='$f' LIMIT 0,1"; 
$result = $db->sql_query($sql); 
while ($row = $db->sql_fetchrow($result)) { 
$fname = check_html($row[forum_name], nohtml); 
$pagetitle = "$name-$fname" ; 
$pagetitle = check_html($pagetitle, nohtml); 
} 
} 

if(isset($t)) { 
$t = intval($t); 
$sql="SELECT topic_title FROM ".$prefix."_bbtopics WHERE topic_id='$t' LIMIT 0,1"; 
$result = $db->sql_query($sql); 
    while ($row = $db->sql_fetchrow($result)) { 
$tname = check_html($row[topic_title], nohtml); 
$pagetitle = "$name-$file-$tname" ; 
$pagetitle = check_html($pagetitle, nohtml); 
} 
} 
include("header.php");
?>
